Fix ShellCheck v0.4.7 lint issues
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>$sha1</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; tox-install.sh&quot;
251
252 # Ensure we fail the job if any steps fail.
253 # DO NOT set -u as virtualenv's activate script has unbound variables
254 set -e -o pipefail
255
256 virtualenv --quiet &quot;/tmp/v/tox&quot;
257 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
258 source &quot;/tmp/v/tox/bin/activate&quot;
259 pip install --quiet --upgrade pip
260 pip install --quiet --upgrade pipdeptree
261 pip install --quiet --upgrade tox argparse
262
263 echo &quot;----&gt; Pip Dependency Tree&quot;
264 pipdeptree
265
266 #!/bin/bash
267 # SPDX-License-Identifier: EPL-1.0
268 ##############################################################################
269 # Copyright (c) 2017 The Linux Foundation and others.
270 #
271 # All rights reserved. This program and the accompanying materials
272 # are made available under the terms of the Eclipse Public License v1.0
273 # which accompanies this distribution, and is available at
274 # http://www.eclipse.org/legal/epl-v10.html
275 ##############################################################################
276 echo &quot;---&gt; tox-run.sh&quot;
277
278 # Ensure we fail the job if any steps fail.
279 # DO NOT set -u as virtualenv's activate script has unbound variables
280 set -e -o pipefail
281
282 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
283 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
284
285 cd &quot;$WORKSPACE/$TOX_DIR&quot;
286
287 if [ -z &quot;$TOX_ENVS&quot; ]; then
288     TOX_ENVS=$(crudini --get tox.ini tox envlist)
289 fi
290
291 run_tox() {
292     local log_dir=&quot;$1&quot;
293     local env=&quot;$2&quot;
294
295     # Sleep a random 10 second interval to workaround tox sdist
296     # conflicts due to building in the same dist directory.
297     sleep $[ ( $RANDOM % 10 )  + 1 ]s
298
299     echo &quot;-----&gt; Running tox $env&quot;
300     if ! tox -e $env &gt; &quot;$log_dir/tox-$env.log&quot;; then
301         echo &quot;$env&quot; &gt;&gt; &quot;$log_dir/failed-envs.log&quot;
302     fi
303 }
304
305 IFS=&quot; &quot; read -r -a TOX_ENVS &lt;&lt;&lt; &quot;${TOX_ENVS//,/ }&quot;
306 if hash parallel 2&gt;/dev/null; then
307     export -f run_tox
308     parallel --jobs 200% &quot;run_tox $ARCHIVE_TOX_DIR {}&quot; ::: ${TOX_ENVS[*]}
309 else
310     for env in &quot;${TOX_ENVS[@]}&quot;; do
311         run_tox &quot;$ARCHIVE_TOX_DIR&quot; &quot;$env&quot;
312     done
313 fi
314
315 if [ -f &quot;$ARCHIVE_TOX_DIR/failed-envs.log&quot; ]; then
316     mapfile -t failed_envs &lt; &lt;(cat &quot;$ARCHIVE_TOX_DIR/failed-envs.log&quot;)
317     for e in &quot;${failed_envs[@]}&quot;; do
318         echo &quot;cat $ARCHIVE_TOX_DIR/tox-$e.log&quot;
319         cat &quot;$ARCHIVE_TOX_DIR/tox-$e.log&quot;
320     done
321     echo &quot;ERROR: Failed the following builds: ${failed_envs[*]}&quot;
322     exit 1
323 fi
324
325 echo &quot;Completed tox runs.&quot;
326 </command>
327     </hudson.tasks.Shell>
328   </builders>
329   <publishers>
330     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
331       <buildSteps>
332         <hudson.tasks.Shell>
333           <command>#!/bin/bash
334 # SPDX-License-Identifier: EPL-1.0
335 ##############################################################################
336 # Copyright (c) 2017 The Linux Foundation and others.
337 #
338 # All rights reserved. This program and the accompanying materials
339 # are made available under the terms of the Eclipse Public License v1.0
340 # which accompanies this distribution, and is available at
341 # http://www.eclipse.org/legal/epl-v10.html
342 ##############################################################################
343 echo &quot;---&gt; sysstat.sh&quot;
344 set +e  # DON'T fail build if script fails.
345
346 OS=$(facter operatingsystem)
347 case &quot;$OS&quot; in
348     Ubuntu)
349         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
350
351         # Dont run the script when systat is not enabled by default
352         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
353             exit 0
354         fi
355     ;;
356     CentOS|RedHat)
357         SYSSTAT_PATH=&quot;/var/log/sa&quot;
358     ;;
359     *)
360         # nothing to do
361         exit 0
362     ;;
363 esac
364
365 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
366 mkdir -p &quot;$SAR_DIR&quot;
367 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
368 # convert sar data to ascii format
369 while IFS=&quot;&quot; read -r sarfilenum
370 do
371     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
372 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
373
374 # DON'T fail build if script fails.
375 exit 0
376 </command>
377         </hudson.tasks.Shell>
378         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
379           <managedFiles>
380             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
381               <fileId>jenkins-log-archives-settings</fileId>
382               <targetLocation/>
383               <variable>SETTINGS_FILE</variable>
384             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
385           </managedFiles>
386         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
387         <EnvInjectBuilder>
388           <info>
389             <propertiesContent>SERVER_ID=logs</propertiesContent>
390           </info>
391         </EnvInjectBuilder>
392         <hudson.tasks.Shell>
393           <command>#!/bin/bash
394 # SPDX-License-Identifier: EPL-1.0
395 ##############################################################################
396 # Copyright (c) 2017 The Linux Foundation and others.
397 #
398 # All rights reserved. This program and the accompanying materials
399 # are made available under the terms of the Eclipse Public License v1.0
400 # which accompanies this distribution, and is available at
401 # http://www.eclipse.org/legal/epl-v10.html
402 ##############################################################################
403 echo &quot;---&gt; create-netrc.sh&quot;
404
405 # Ensure we fail the job if any steps fail.
406 set -eu -o pipefail
407
408 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
409 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
410     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
411     -v x:username -o &quot;:&quot; -v x:password \
412     &quot;$SETTINGS_FILE&quot;)
413
414 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
415 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
416 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
417
418 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
419 </command>
420         </hudson.tasks.Shell>
421         <hudson.tasks.Shell>
422           <command>#!/bin/bash
423 # SPDX-License-Identifier: EPL-1.0
424 ##############################################################################
425 # Copyright (c) 2017 The Linux Foundation and others.
426 #
427 # All rights reserved. This program and the accompanying materials
428 # are made available under the terms of the Eclipse Public License v1.0
429 # which accompanies this distribution, and is available at
430 # http://www.eclipse.org/legal/epl-v10.html
431 ##############################################################################
432 echo &quot;---&gt; lftools-install.sh&quot;
433
434 # Script to install lftools via a version passed in via lf-infra-parameters
435 #
436 # Required parameters:
437 #
438 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
439 #                      set to a strict version number like '1.2.3' or using
440 #                      PEP-440 definitions.
441 #
442 #                      Examples:
443 #                          &lt;1.0.0
444 #                          &gt;=1.0.0,&lt;2.0.0
445 #
446 # By default a released version of lftools should always be used.
447 # The purpose of the 2 variables below is so that lftools devs can test
448 # unreleased versions of lftools. There are 2 methods to install a dev version
449 # of lftools:
450 #
451 #     1) gerrit patch: Used to test a patch that has not yet been merged.
452 #                      To do this set something like this:
453 #                          LFTOOLS_MODE=gerrit
454 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
455 #
456 #     2) git branch: Used to install an lftools version from a specific branch.
457 #                    To use this set the variables as follows:
458 #                          LFTOOLS_MODE=git
459 #                          LFTOOLS_REFSPEC=master
460 #
461 #     3) release : The intended use case and default setting.
462 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
463
464 LFTOOLS_MODE=release  # release | git | gerrit
465 LFTOOLS_REFSPEC=master
466
467 # Ensure we fail the job if any steps fail.
468 # DO NOT set -u as virtualenv's activate script has unbound variables
469 set -e -o pipefail
470
471 virtualenv --quiet &quot;/tmp/v/lftools&quot;
472 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
473 source &quot;/tmp/v/lftools/bin/activate&quot;
474 pip install --quiet --upgrade pip
475
476 case $LFTOOLS_MODE in
477     gerrit)
478         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
479         pushd /tmp/lftools
480         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
481         git checkout FETCH_HEAD
482         pip install --quiet --upgrade -r requirements.txt
483         pip install --quiet --upgrade -e .
484         popd
485         ;;
486
487     git)
488         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
489         ;;
490
491     release)
492         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
493             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
494         fi
495
496         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
497         ;;
498 esac
499
500 lftools --version
501
502 # pipdeptree prints out a lot of information because lftools pulls in many
503 # dependencies. Let's only print it if we want to debug.
504 # echo &quot;----&gt; Pip Dependency Tree&quot;
505 # pip install --quiet --upgrade pipdeptree
506 # pipdeptree
507
508 #!/bin/bash
509 # SPDX-License-Identifier: EPL-1.0
510 ##############################################################################
511 # Copyright (c) 2017 The Linux Foundation and others.
512 #
513 # All rights reserved. This program and the accompanying materials
514 # are made available under the terms of the Eclipse Public License v1.0
515 # which accompanies this distribution, and is available at
516 # http://www.eclipse.org/legal/epl-v10.html
517 ##############################################################################
518 echo &quot;---&gt; logs-deploy.sh&quot;
519
520 # Ensure we fail the job if any steps fail.
521 set -eu -o pipefail
522
523 set -x  # Trace commands for this script to make debugging easier.
524
525 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
526 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
527
528 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
529 then
530     set +x # Disable trace since we no longer need it
531
532     echo &quot;WARNING: Logging server not set&quot;
533 else
534     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
535     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
536     BUILD_URL=&quot;${BUILD_URL}&quot;
537
538     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
539     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
540
541     set +x  # Disable trace since we no longer need it.
542
543     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
544 fi
545 </command>
546         </hudson.tasks.Shell>
547         <hudson.tasks.Shell>
548           <command>#!/bin/bash
549 # SPDX-License-Identifier: EPL-1.0
550 ##############################################################################
551 # Copyright (c) 2017 The Linux Foundation and others.
552 #
553 # All rights reserved. This program and the accompanying materials
554 # are made available under the terms of the Eclipse Public License v1.0
555 # which accompanies this distribution, and is available at
556 # http://www.eclipse.org/legal/epl-v10.html
557 ##############################################################################
558
559 # Clear log credential files
560 rm &quot;$SETTINGS_FILE&quot;
561 rm ~/.netrc
562 </command>
563         </hudson.tasks.Shell>
564         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
565           <regexp>^Build logs: .*</regexp>
566         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
567       </buildSteps>
568       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
569       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
570       <markBuildUnstable>false</markBuildUnstable>
571     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
572     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
573       <patterns>
574         <hudson.plugins.ws__cleanup.Pattern>
575           <pattern>**/*.jenkins-trigger</pattern>
576           <type>EXCLUDE</type>
577         </hudson.plugins.ws__cleanup.Pattern>
578       </patterns>
579       <deleteDirs>false</deleteDirs>
580       <cleanupMatrixParent>false</cleanupMatrixParent>
581       <externalDelete/>
582       <cleanWhenSuccess>true</cleanWhenSuccess>
583       <cleanWhenUnstable>true</cleanWhenUnstable>
584       <cleanWhenFailure>true</cleanWhenFailure>
585       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
586       <cleanWhenAborted>true</cleanWhenAborted>
587       <notFailBuild>true</notFailBuild>
588     </hudson.plugins.ws__cleanup.WsCleanup>
589   </publishers>
590   <buildWrappers>
591     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
592     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
593       <timeoutMinutes>10</timeoutMinutes>
594       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
595       <failBuild>true</failBuild>
596       <writingDescription>false</writingDescription>
597       <timeoutPercentage>0</timeoutPercentage>
598       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
599       <timeoutType>absolute</timeoutType>
600     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
601     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
602     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
603       <user>test-credential</user>
604     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
605     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
606     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
607       <managedFiles>
608         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
609           <fileId>npmrc</fileId>
610           <targetLocation>$HOME/.npmrc</targetLocation>
611           <variable/>
612         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
613       </managedFiles>
614     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
615   </buildWrappers>
616 </project>